Skip to main content
PATCH
Update a persona

Authorizations

Authorization
string
header
required

Workspace API key from the Avina dashboard (Settings → API keys).

Path Parameters

persona_id
string<uuid>
required

Body

application/json
name
string | null
Maximum string length: 191
job_titles
string[]
Minimum array length: 1
contacts_per_company
integer
Required range: 1 <= x <= 100
enrich_emails
boolean
enrich_phones
boolean
contact_countries
string[] | null

Countries where the contacts are located (ISO 3166-1 alpha-2), not the company headquarters. null or [] = worldwide.

Pattern: ^[A-Za-z]{2}$

Response

The updated persona.

object
string
required
Allowed value: "persona"
id
string<uuid>
required
job_titles
string[]
required
contacts_per_company
integer
required
enrich_emails
boolean
required
enrich_phones
boolean
required
contact_countries
string[] | null
required

Countries where the contacts are located, uppercase; null or [] = worldwide.

created_at
string<date-time>
required
updated_at
string<date-time>
required
name
string | null